/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class DetalleAjustePK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "ajuste_codigo")
    private String ajusteCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;

    public DetalleAjustePK() {
    }

    public DetalleAjustePK(String ajusteCodigo, String productoCodigo) {
        this.ajusteCodigo = ajusteCodigo;
        this.productoCodigo = productoCodigo;
    }

    public String getAjusteCodigo() {
        return ajusteCodigo;
    }

    public void setAjusteCodigo(String ajusteCodigo) {
        this.ajusteCodigo = ajusteCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (ajusteCodigo != null ? ajusteCodigo.hashCode() : 0);
//        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetalleAjustePK)) {
            return false;
        }
        DetalleAjustePK other = (DetalleAjustePK) object;
        if ((this.ajusteCodigo == null && other.ajusteCodigo != null) || (this.ajusteCodigo != null && !this.ajusteCodigo.equals(other.ajusteCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "dbCon.DetalleAjustePK[ ajusteCodigo=" + ajusteCodigo + ", productoCodigo=" + productoCodigo + " ]";
    }

}
